Onboard/Register User

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API endpoint allows you to onboard or register a new user. Prior to registering the user, you need to fetch the groups, roles, and country codes from the server.

  • Get Groups Assigned to a Workflow: This API endpoint fetches the groups that are assigned to the workflows.
  • Get Roles: This API endpoint fetches the list of roles specific to an organization. This assigned role defines the permissions that the user would get on completing registration.

Headers

  • Authentication: Bearer <JWT>
  • Accept: application/json
  • Content-Type: application/json

Additional Headers

  • loggedInUser: String (Required)
    Description: Username of the logged in user
  • uimsUrl: String (Required)
    Description: Origin of the URL. (Syntax: window.location.origin)

Path Parameters

ParametersTypeDescription
organiationNamestringDenotes the name of the organization.

Body Parameters

ParameterTypeDescription
identityProviderUserobjectThe user data to onboard the user.

identityProviderUser Object

ParameterTypeDescription
firstNameString (Required)The first name of the user.
lastNameString (Required)The last name of the user.
emailString (Required)The email address of the user.
userNameString (Required)The user's username.
enabledBoolean (Required)Indicates if the user is allowed access to the application (Unifyia Platform). Possible Values: true: Allow access to the application (Unifyia Platform). false: Access not enabled.
credentialTypeString (Optional)The credential type is Password.
credentialValueString (Optional)The server generated temporary password that would be sent to a user.
credentialTemporaryBoolean (Optional)Indicates if a temporary password that can be reset by a user on first login is allowed. Possible Values: true: User must change the password on first login false: Password reset not required
groupIDString (Required)The unique ID of a group.
groupNameString (Required)The name of a group.
authServiceRoleIDString Array (Required)The unique IDs of the roles assigned to the user.
userKLKIdString (Optional)The unique ID assigned to the user in the authentication service.
sendInviteViaString (Optional)Indicates if the user must be sent an invite via an email.
countryCodeString (Optional)The country code.
contactNumberinteger($int32) (Optional)The device validity numeric value in days.
roles<Role> Array (Optional)The object that captures details of the roles assigned to the user.
sendInviteBoolean (Optional)Indicates if the user must be sent an email invite to self-enroll using the ID Wallet app. Possible Values: true: Send email invite false: Do not sent email invite
loggedInUserLong (Optional)The username of the logged in user.
loggedInUserIdLong (Optional)The unique user ID of the logged in user.
orgIdLong (Optional)The unique organization ID of the logged in user.
orgNameLong (Optional)The name of the organization of the logged in user.
userStatusString (Optional)The status of the user.
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json